VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Demo New Region Balloon"
   ClientHeight    =   3795
   ClientLeft      =   915
   ClientTop       =   1395
   ClientWidth     =   6555
   ClipControls    =   0   'False
   Icon            =   "QTipDemo.frx":0000
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3795
   ScaleWidth      =   6555
   ShowInTaskbar   =   0   'False
   Begin VB.CheckBox chkTipsOn 
      Caption         =   "Quick Tips Toggle"
      Height          =   492
      Left            =   120
      TabIndex        =   5
      Top             =   2640
      Value           =   1  'Checked
      Width           =   1092
   End
   Begin VB.CommandButton cmdFinish 
      Caption         =   "Finish"
      Height          =   492
      Left            =   5280
      TabIndex        =   3
      Top             =   2760
      Width           =   1092
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "&Next >"
      Height          =   492
      Left            =   3960
      TabIndex        =   2
      Top             =   2760
      Width           =   1092
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "< &Back"
      Height          =   492
      Left            =   2760
      TabIndex        =   1
      Top             =   2760
      Width           =   1092
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   492
      Left            =   1440
      TabIndex        =   0
      Top             =   2760
      Width           =   1092
   End
   Begin VB.PictureBox Picture1 
      Height          =   2532
      Left            =   960
      ScaleHeight     =   2475
      ScaleWidth      =   5355
      TabIndex        =   4
      Tag             =   $"QTipDemo.frx":0442
      Top             =   120
      Width           =   5412
      Begin VB.CommandButton cmdCBTip 
         Caption         =   "?"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   252
         Left            =   4320
         TabIndex        =   15
         Top             =   480
         Width           =   252
      End
      Begin VB.ComboBox Combo1 
         Height          =   288
         Left            =   240
         TabIndex        =   14
         Text            =   "DRF Page URL"
         Top             =   480
         Width           =   3972
      End
      Begin VB.TextBox Text1 
         Height          =   1452
         Left            =   240
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   6
         Text            =   "QTipDemo.frx":053F
         Top             =   960
         Width           =   4932
      End
      Begin VB.Label Label1 
         Caption         =   "Editing turns disables the tip."
         Height          =   252
         Left            =   240
         TabIndex        =   7
         Top             =   120
         Width           =   2052
      End
   End
   Begin VB.Label sbWizard 
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      Height          =   252
      Left            =   120
      TabIndex        =   13
      Top             =   3480
      Width           =   6252
   End
   Begin VB.Label lblStep3 
      BackColor       =   &H0000FF00&
      BorderStyle     =   1  'Fixed Single
      Height          =   252
      Left            =   480
      TabIndex        =   12
      Top             =   1080
      Width           =   252
   End
   Begin VB.Label lblStep2 
      BackColor       =   &H0000FF00&
      BorderStyle     =   1  'Fixed Single
      Height          =   252
      Left            =   480
      TabIndex        =   11
      Top             =   600
      Width           =   252
   End
   Begin VB.Label lblStep4 
      BackColor       =   &H000000FF&
      BorderStyle     =   1  'Fixed Single
      Height          =   252
      Left            =   120
      TabIndex        =   9
      Top             =   1560
      Width           =   252
   End
   Begin VB.Label lblStep1 
      BackColor       =   &H000000FF&
      BorderStyle     =   1  'Fixed Single
      Height          =   252
      Left            =   120
      TabIndex        =   8
      Top             =   240
      Width           =   252
   End
   Begin VB.Label lblStepLink 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      ForeColor       =   &H80000008&
      Height          =   1332
      Left            =   240
      TabIndex        =   10
      Top             =   360
      Width           =   372
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub chkTipsOn_Click()
    If chkTipsOn.Value > 0 Then
        cmdCBTip.Enabled = True
        gbToggled = True
    Else
        If gbTipLoaded Then Unload frmHelp
        cmdCBTip.Enabled = False
        gbToggled = False
    End If
End Sub

Private Sub chkTipsOn_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 8
        frmHelp.Show
    End If
End Sub

Private Sub cmdBack_Click()
    MsgBox "Not Implimented"
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdCancel_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 1
        frmHelp.Show
    End If
End Sub

Private Sub cmdCBTip_Click()
    If gbTipLoaded Then Unload frmHelp
    TipID = 3
    frmHelp.Show
End Sub

Private Sub cmdFinish_Click()
    Unload Me
End Sub

Private Sub cmdNext_Click()
    MsgBox "Not Implimented"
End Sub

Private Sub Form_Load()
    ' This should be done in Sub Main().
    LoadFormMsgs
    gbTipLoaded = False
    If chkTipsOn.Value > 0 Then
        gbToggled = True
        cmdCBTip.Enabled = True
    End If
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If gbTipLoaded Then
        Unload frmHelp
        Set frmHelp = Nothing
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Unload frmMain
    Set frmMain = Nothing
    End
End Sub

Private Sub lblStep1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 4
        frmHelp.Show
    End If
End Sub

Private Sub lblStep2_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 5
        frmHelp.Show
    End If
End Sub

Private Sub lblStep3_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 6
        frmHelp.Show
    End If
End Sub

Private Sub lblStep4_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 7
        frmHelp.Show
    End If
End Sub

Private Sub Picture1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 0
        frmHelp.Show
    End If
End Sub

Private Sub Text1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        If Not gbToggled Then Exit Sub
        If gbTipLoaded Then Unload frmHelp
        TipID = 2
        frmHelp.Show
    End If
End Sub
